# Introduction

### Welcome 👋 <a href="#welcome" id="welcome"></a>

Many features of the TrustedSite Security Platform are currently incorporated into the API, including the ability to:

* View site information
* View account information
* View user information

For more information about the TrustedSite platform please visit the [site](https://www.trustedsite.com/security/).

This documentation is under construction and the API is currently in beta. Please use caution as endpoints and specifications are subject to change.

Check back for more soon. We're working on hard on building an incredible API.

### Accessing the TrustedSite API <a href="#accessing-the-trustedsite-api" id="accessing-the-trustedsite-api"></a>

The TrustedSite API endpoint is accessible at `https://api.trustedsite.com/api/v1/`

An API key is required for all requests. For additional information please see the [Authentication](https://docs.trustedsite.com/api/authentication) section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustedsite.com/docs/api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
